#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: monad-par
version: 0.3.4.8
id: monad-par-0.3.4.8-73MDniBlugD8L8eTzpiIpe
key: monad-par-0.3.4.8-73MDniBlugD8L8eTzpiIpe
license: BSD3
copyright: (c) Simon Marlow 2011
maintainer: Simon Marlow <marlowsd@gmail.com>, Ryan Newton <rrnewton@gmail.com>
stability: Experimental
homepage: https://github.com/simonmar/monad-par
synopsis: A library for parallel programming based on a monad
description:
    The '\''Par'\'' monad offers a simple API for parallel programming.  The
    library works for parallelising both pure and @IO@ computations,
    although only the pure version is deterministic.  The default
    implementation provides a work-stealing scheduler and supports
    forking tasks that are much lighter weight than IO-threads.
    .
    For complete documentation see "Control.Monad.Par".
    .
    Some examples of use can be found in the @examples/@ directory of
    the source package.
    .
    Other related packages:
    .
    * @abstract-par@ provides the type classes that abstract over different
    implementations of the @Par@ monad.
    .
    * @monad-par-extras@ provides extra combinators and monad transformers layered on top of
    the @Par@ monad.
    .
    Changes in 0.3.4 relative to 0.3:
    .
    * Fix bugs that cause "thread blocked indefinitely on MVar" crashes.
    .
    * Added "Control.Monad.Par.IO"
category: Control,Parallelism,Monads
author: Simon Marlow, Ryan Newton
exposed: True
indefinite: False
exposed-modules:
    Control.Monad.Par Control.Monad.Par.IO
    Control.Monad.Par.Scheds.Direct Control.Monad.Par.Scheds.Sparks
    Control.Monad.Par.Scheds.Trace
    Control.Monad.Par.Scheds.TraceInternal
hidden-modules: Control.Monad.Par.Scheds.DirectInternal
abi: 42e4941a9d0f0e9e8b7cda8b3b7b2523
trusted: False
import-dirs: /usr/lib/ghc-8.2.1/site-local/monad-par-0.3.4.8
library-dirs: /usr/lib/ghc-8.2.1/site-local/monad-par-0.3.4.8
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/i386-linux-ghc-8.2.1/monad-par-0.3.4.8
hs-libraries: HSmonad-par-0.3.4.8-73MDniBlugD8L8eTzpiIpe
depends:
    base-4.10.0.0 abstract-par-0.3.3-5IZBJH84Xee8CclC3iNYtW
    abstract-deque-0.3-GrgiPXB2fbbKYfNSIYfZyO
    monad-par-extras-0.3.3-3icVk6zvwBu5HezLSKg3a8 deepseq-1.4.3.0
    array-0.5.2.0 mwc-random-0.13.6.0-9isDaETTkAQ4w6DSIRGQbB
    containers-0.5.10.2 parallel-3.2.1.1-BDA8bigzIyf7HfOpmZ9w2K
    mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3
abi-depends: base-4.10.0.0=a43b4ec12ad02cbfcdfe91f0942afb0a
             abstract-par-0.3.3-5IZBJH84Xee8CclC3iNYtW=f2358545071ab3753618393a971695bd
             abstract-deque-0.3-GrgiPXB2fbbKYfNSIYfZyO=80c9b22623e37d94a6b111ffb49f85e4
             monad-par-extras-0.3.3-3icVk6zvwBu5HezLSKg3a8=8cc1d19f243683cf1ba2d71ba65d32d1
             deepseq-1.4.3.0=ab64de23c9713e035549193002fe9df0
             array-0.5.2.0=044554210403f250e868a2183de060a9
             mwc-random-0.13.6.0-9isDaETTkAQ4w6DSIRGQbB=2bc42ccbc5907c6a67bc15ff0ea72d9c
             containers-0.5.10.2=e51b78cedb073051e10b1c1314421145
             parallel-3.2.1.1-BDA8bigzIyf7HfOpmZ9w2K=412b6db961d0860f36ea471fc650f639
             mtl-2.2.1-19EL8AGBsN3DnnOhrC9xY3=14e57a3b735adfe06c357bcc64de3dbd
haddock-interfaces: /usr/share/doc/haskell-monad-par/html/monad-par.haddock
haddock-html: /usr/share/doc/haskell-monad-par/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

